.filter-mobile {
    z-index: 100;
    position: relative;
    display: flex;
    align-items: center;
    justify-content: space-between;

    @include media-breakpoint-up(xl) {
        display: none;
    }
}

.filter-toggle {
    margin: 0;
    padding: 0;
    color: $black;
    stroke: $black;
    width: rem(41);
    height: rem(41);
    font-size: rem(14);
    line-height: rem(17);
    border-radius: rem(5);
    border: 1px solid #ccc;
    cursor: pointer;
    background: transparent;
    white-space: nowrap;
    display: inline-flex;
    align-items: center;
    justify-content: center;

    i {
        height: rem(16);
        display: inline-block;
        flex-shrink: 0;
    }

    span {
        display: none;
    }

    @include media-breakpoint-up(md) {
        width: auto;
        padding-left: rem(12);
        padding-right: rem(30);

        span {
            padding-left: rem(10);
            display: inline-block;
        }
    }
}

.filter {
    opacity: 0;
    visibility: hidden;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    z-index: 1020;
    position: fixed;
    overflow-y: auto;
    background: rgba(0,0,0,0.79);
    display: flex;
    flex-direction: column;

    &__inner {
        margin: auto 0;
        padding: rem(40) rem(6);
    }

    &__body {
        position: relative;
        background: $white;
        border-radius: rem(10);
        padding: rem(26) rem(32) rem(90) rem(26);
        box-shadow: 0px 0px 20px rgba(51, 51, 51, 0.1);
    }

    &__item {
        max-width: 100%;
        margin-bottom: rem(14);
    }

    &__colors {
        font-size: 0;
        line-height: 0;
        padding-top: rem(6);
        padding-bottom: rem(6);
        display: flex;
        align-items: center;

        > * {
            &:not(:last-child) {
                margin-right: rem(12);
            }
        }
    }

    &__main {
        margin-bottom: rem(24);
    }

    &__footer {
        text-align: right;

        .btn {
            width: 100%;
        }
    }

    &__button {

        &--submit {
            margin-bottom: rem(36);
        }
    }

    &__close {
        left: calc(50% - 5.5rem);
        bottom: rem(16);
        z-index: 10;
        font-size: 0;
        line-height: 0;
        outline: none;
        width: rem(176);
        height: rem(38);
        position: absolute;
        border-radius: rem(8);
        background: #F8F8F8;
        border: 1px solid #F8F8F8;
        display: flex;
        align-items: center;
        justify-content: center;

        i {
            height: rem(10);
            display: inline-block;
        }
    }

    &__sorter {
        display: none;
    }

    @include media-breakpoint-up(md) {

        &__group {
            display: grid;
            grid-template-columns: 1fr 1fr;
            grid-column-gap: rem(30);
            flex-shrink: 0;
        }

        &__item {
            margin-bottom: rem(17);
        }

        &__colors {
            height: rem(41);
        }

        &__footer {
            text-align: left;
            display: flex;
            align-items: center;
            justify-content: space-between;
        }

        &__button {

            &--submit {
                margin-bottom: 0;
            }
        }

        &__sorter {
            display: block;
            min-width: rem(220);
        }
    }

    @include media-breakpoint-up(xl) {
        top: auto;
        left: auto;
        right: auto;
        bottom: auto;
        z-index: 100;
        overflow: visible;
        position: relative;
        opacity: 1;
        visibility: visible;
        background: transparent;

        &__inner {
            padding: 0;
        }

        &__close {
            display: none;
        }

        &__body {
            padding: rem(24) rem(28);
        }

        &__main {
            margin: 0 rem(-19);
            display: flex;
            justify-content: space-between;
        }

        &__group {
            display: block;
            flex-shrink: 0;
            width: 25%;
            padding: 0 rem(19);
        }

        &__button {

            &--submit {
                display: none;
            }
        }

        &__footer {
           padding-top: rem(3);
        }
    }

    @include media-breakpoint-up(xxl) {

        &__body {
            padding: rem(30) rem(34);
        }

        &__main {
            margin: 0 rem(-23);
        }

        &__group {
            padding: 0 rem(23);
        }

        &__item {
            margin-bottom: rem(20);
        }
    }
}

.filter-open {
    height: 100%;
    overflow: hidden;

    .filter {
        opacity: 1;
        visibility: visible;
    }

    @include media-breakpoint-up(xl) {
        height: auto;
        overflow: visible;
    }
}

